Package org.apache.sling.cms.core.models

## Class StartContent

- java.lang.Object
- - org.apache.sling.cms.core.models.StartContent

    @ProviderType
    @Model(adaptables=org.apache.sling.api.SlingHttpServletRequest.class)
    public class StartContent
    extends Object

Model for retrieving the most start page content

### Constructor Summary

Constructors
`StartContent​(org.apache.sling.api.SlingHttpServletRequest request)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<org.apache.sling.api.resource.Resource>` `getRecentContent()`
`List<org.apache.sling.api.resource.Resource>` `getRecentDrafts()`
`List<org.apache.sling.api.resource.Resource>` `getRelatedContent()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StartContent

    public StartContent​(org.apache.sling.api.SlingHttpServletRequest request)

### Method Detail

#### getRelatedContent

    public List<org.apache.sling.api.resource.Resource> getRelatedContent()

#### getRecentDrafts

    public List<org.apache.sling.api.resource.Resource> getRecentDrafts()

#### getRecentContent

    public List<org.apache.sling.api.resource.Resource> getRecentContent()